function output = plot_pulses(aRFF)

aRFF.trough_array = sort(aRFF.trough_array);
aRFF.peak_array = sort(aRFF.peak_array);

subplot(4,1,1); hold on;
plot(aRFF.t(aRFF.trough_array),aRFF.y(aRFF.trough_array),'.g')
plot(aRFF.t(aRFF.peak_array),aRFF.y( aRFF.peak_array),'.r')
xlim([aRFF.t(aRFF.trough_array(1))-0.05 aRFF.t(aRFF.trough_array(end))+0.05])

subplot(4,1,3); hold on;
plot(aRFF.t(aRFF.trough_array),aRFF.f0y(aRFF.trough_array),'.g')
plot(aRFF.t(aRFF.peak_array),aRFF.f0y(aRFF.peak_array),'.r')
xlim([aRFF.t(aRFF.trough_array(1))-0.05 aRFF.t(aRFF.trough_array(end))+0.05])

output = 1;