function [filename] = findfilename(aRFF,preOrPost)

if aRFF.subjectid(1) == 'P' | aRFF.subjectid(1) == 'N'
    subjectdir = ['\\sar-netapp2\SteppLab2\SPEECHDATA\RFF\MGH_RFF\' aRFF.subjectid '\W*'];
    if ~isempty(dir(subjectdir))
        allweeks = dir(subjectdir);
        lowestweek = allweeks(1).name;
        highestweek = allweeks(end).name;
        if preOrPost == 0
            subjectdir = ['\\sar-netapp2\SteppLab2\SPEECHDATA\RFF\MGH_RFF\' aRFF.subjectid '\' lowestweek '\'];
        else
            subjectdir = ['\\sar-netapp2\SteppLab2\SPEECHDATA\RFF\MGH_RFF\' aRFF.subjectid '\' highestweek '\'];
        end
    else
        subjectdir = ['\\sar-netapp2\SteppLab2\SPEECHDATA\RFF\MGH_RFF\' aRFF.subjectid '\'];
    end
    filenames = [subjectdir aRFF.subjectid '*' aRFF.instancename '-*_MIC.wav'];
    allreps = dir(filenames);
    if ~isempty(allreps)
        filename = [subjectdir allreps(end).name];
    else
        filenames = [subjectdir aRFF.subjectid '*' aRFF.instancename '*_MIC.wav'];
        allreps = dir(filenames);
        if ~isempty(allreps)
            filename = [subjectdir allreps(end).name];
        else
            filename = [];
        end
    end
    
else
    filename = ['\\sar-netapp2\SteppLab2\SPEECHDATA\RFF\nonMGH_AutomationRFF\' aRFF.subjectid '\' aRFF.subjectid '_' aRFF.instancename '_mic.wav'];
end

