global min_pitch_set; 
global max_pitch_set;
global maxpkn; 
global perform_fol; 
global stimulicomb;

% you can adjust the following four variables.
min_pitch_set = 50; %default min pitch is 50 Hz
max_pitch_set = 400; %default max pitch is 400 Hz
maxpkn = 9; %initially assume that there will be 3 VCV instances
perform_fol = '.\performance\'; %default performance folder is stored with code
stimulicomb = 0; %if /afa/, /ifi/, and /ufu/ are recorded separately and we want to save all RFFs from
    %these recordings into one file under the speaker's name, then set
    %stimulicomb to 1, else set stimulicomb to 0.
    
%foldname = folder location of audio files
folname = 'W:\SPEECHDATA\RFF\RFF_realtime\Pilot\';

%get the filename from user 
prompt = {'Save file as:'};
def = {'N01'}
answer = inputdlg(prompt,'Input',1,def);
filename = [answer{1} '.wav'];

%collect audio recording
audiorec(folname,filename);

%find the location of fricatives
find_fric(folname, filename);

%find cycles used to RFF estimation and estimate RFF from them
find_RFFcycles(folname, filename);

%final RFF check.
allfiles = dir([folname filename]);
RFFoutput(allfiles)